Name:          smp_utils
Version:       0.99b3r147
Release:       1mamba
Summary:       Utilities for SAS management protocol (SMP)
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://sg.danny.cz/sg/smp_utils.html
Source0:       http://sg.danny.cz/sg/p/smp_utils-%{version}.tar.xz
Patch0:        smp_utils-0.94-makefile.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      libsmputils1 = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a package of utilities. Each utility sends a Serial Attached SCSI (SAS) Management Protocol (SMP) request to a SMP target.
If the request fails then the error is decoded. If the request succeeds then the response is either decoded, printed out in hexadecimal or output in binary. This package supports multiple interfaces since SMP passthroughs are not mature. This package supports the linux 2.4 and 2.6 series and should be easy to port to other operating systems.

Warning: Some of these tools access the internals of your system and the incorrect usage of them may render your system inoperable.

%package -n libsmputils1
Summary:       Library for SAS management protocol (SMP)
Group:         System/Libraries

%description -n libsmputils1
This package contains the library for SAS management protocol (SMP).

%package -n libsmputils1-devel
Summary:       Devel package for libsmputils1
Group:         Development/Libraries
Requires:      libsmputils1 = %{?epoch:%epoch:}%{version}-%{release}

%description -n libsmputils1-devel
This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%make
#CFLAGS="%{optflags} -DSMP_UTILS_LINUX"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libsmputils1 -p /sbin/ldconfig

%postun -n libsmputils1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/smp_*
%{_mandir}/man8/smp_*.8*

%files -n libsmputils1
%defattr(-,root,root)
%{_libdir}/libsmputils1.so.*
%doc AUTHORS COPYING
#CREDITS ChangeLog NEWS README

%files -n libsmputils1-devel
%defattr(-,root,root)
%{_includedir}/scsi/smp_lib.h
%{_libdir}/libsmputils1.a
%{_libdir}/libsmputils1.la
%{_libdir}/libsmputils1.so

%changelog
* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 0.99b3r147-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 0.99b2r143-1mamba
- automatic update by autodist

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 0.99b1r141-1mamba
- automatic update by autodist

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 0.98b4r134-1mamba
- automatic update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 0.97-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.96-1mamba
- update to 0.96

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.94-2mamba
- automatic port from devel-gil

* Wed Oct 27 2010 gil <puntogil@libero.it> 0.94-1mamba
- package created by autospec
